# $Revision: 1.13 $, $Date: 2006/03/28 14:11:57 $
#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	A library to read Paradox DB files
Summary(pl):	Biblioteka do odczytu plikw baz danych Paradox DB
Name:		pxlib
Version:	0.6.0
Release:	2
Epoch:		0
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/pxlib/%{name}-%{version}.tar.gz
# Source0-md5:	14afa3d5f65be74e701668e47c0a1759
Patch0:		%{name}-stderr.patch
URL:		http://pxlib.sourceforge.net/
BuildRequires:	docbook-utils
BuildRequires:	libgsf-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pxlib is a simply and still small C library to read Paradox DB files.
It supports all versions starting from 3.0. It currently has a very
limited set of functions like to open a DB file, read its header and
read every single record.

%description -l pl
pxlib jest prost i cigle ma bibliotek do odczytu plikw baz
danych Paradox DB. Obsuguje wszystkie wersje poczwszy od 3.0.
Aktualnie ma bardzo ograniczony zbir funkcji, takich jak otworzenie
pliku DB, odczyt nagwka i odczyt pojedynczego rekordu.

%package devel
Summary:	Header files for pxlib
Summary(pl):	Pliki nagwkowe pxlib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for pxlib.

%description devel -l pl
Pliki nagwkowe pxlib.

%package static
Summary:	Static pxlib library
Summary(pl):	Statyczna biblioteka pxlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static pxlib library.

%description static -l pl
Statyczna biblioteka pxlib.

%prep
%setup -q
%patch0 -p1

%build
# man pages are build by docbook2man
sed -i -e 's#mv PXLIB.3 pxlib.3##g' doc/Makefile*
sed -i -e 's#docbook-to-man#docbook2man#g' configure*
sed -i -e 's#docbook-to-man $<.*#docbook2man $<#g' doc/Makefile*
for man in doc/*.sgml; do
	name=$(basename "$man" .sgml)
	sed -i -e "s#$name#$name#gi" $man
done
CPPFLAGS="$(pkg-config glib-2.0 --cflags)"
%configure \
	--with-gsf \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog doc/*.txt
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc
%{_mandir}/man3/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pxlib.spec,v $
Revision 1.13  2006/03/28 14:11:57  arekm
- rel 2; print debug stuff on stderr

Revision 1.12  2006/02/21 07:30:48  arekm
- up to 0.6.0

Revision 1.11  2005/11/03 18:25:51  qboosh
- bcond header

Revision 1.10  2005/11/03 18:02:25  twittner
- added bcond_without static_libs

Revision 1.9  2005/10/22 12:45:57  qboosh
- BR: pkgconfig

Revision 1.8  2005/10/22 12:32:32  arekm
- fix amd64 build; rel 3

Revision 1.7  2005/10/22 10:55:44  arekm
- rel 2

Revision 1.6  2005/08/11 10:14:16  arekm
- up to 0.5.1

Revision 1.5  2005/03/31 16:35:28  arekm
- rel 2; add manual pages

Revision 1.4  2005/02/20 19:18:12  qboosh
- pl

Revision 1.3  2005/02/19 22:49:21  arekm
- enable libgsf

Revision 1.2  2005/02/19 22:07:32  arekm
- gplv2

Revision 1.1  2005/02/19 21:59:00  arekm
- initial pld release
